aboutsummaryrefslogtreecommitdiff
path: root/cmake
diff options
context:
space:
mode:
Diffstat (limited to 'cmake')
-rwxr-xr-xcmake/install.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/cmake/install.sh b/cmake/install.sh
new file mode 100755
index 0000000..384ad5d
--- /dev/null
+++ b/cmake/install.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+
+set -e
+
+scriptpath="$(dirname "$0")"
+mkdir -p "$scriptpath/build/release"
+cd "$scriptpath/build/release"
+cmake -G Ninja -DCMAKE_BUILD_TYPE=Release ../../../
+ninja
+sudo cp sibs /usr/bin/
+echo "Copied $scriptpath/build/release/sibs to /usr/bin/sibs"
+echo "Installation successful!"